Enhavo

# Seek Statement

Difinas la pozicion por la posta skribado aŭ legado en dosiero malfermita per la komando Open.

Por dosieroj kun senvica atingo, la funkcio Seek agordas la numeron de la posta rikordo atingota.

Por ĉiaj aliaj dosieroj, la funkcio Seek liveras la bajtan pozicion ĉe kiu la posta operacio okazu.

### Syntax:

    Seek [#]filePos, {filePos|recordNum}

## Parameters:

fileNum: The data channel number used in the Open statement.

filePos, recordNum: Position for the next writing or reading. Position can be a number between 1 and 2,147,483,647. According to the file type, the position indicates the number of the record (files in the Random mode) or the byte position (files in the Binary, Output, Append or Input mode). The first byte in a file is position 1, the second byte is position 2, and so on.

### Error codes:

5 Nevalida procedurvoko

52 Nevalida dosiera nomo aŭ dosiera numero

Rilataj temoj

Open Statement

Seek function